#include <stdio.h>
#include <assert.h>
#include "m2.h"
#include "../include/constants.h"

extern int NUMBERS[];

void m2PrintArry ()
{
  int i;

  #ifdef DEBUG
    printf("Entering m2PrintArry\n");
  #endif

  for(i = 0;i <= (SIZE-1);i++)
  {
      if((i % MAX_VALUES_PER_LINE) == 0)
      {
	printf("\n");
      }

      printf("%3d",NUMBERS[i]);
  }
  printf("\n");

  #ifdef DEBUG
    printf("Leaving m2PrintArry\n");
  #endif

}

int m2SumArry (int lower, int upper)
{
  int i, sum = 0;

  #ifdef DEBUG
    printf("Entering m2SumArry\n");
    assert (lower < SIZE && upper < SIZE);
  #endif

  for (i = lower; i <= upper; i++)
  {
    sum += NUMBERS[i];
  }

  #ifdef DEBUG
    printf("Leaving m2SumArry\n");
  #endif

  return sum;
}
